Subject: Re: bug#52828: [PATCH] Fix Disarchive fallback on Guix System

From: Timothy Sample <[email-masked]>
Date: Sun, 16 Jan 2022 20:00:24 -0500

Ludovic Courtès <[email-masked]> writes:

> Hmm yes, I guess you’re right, I prefer the initial patch after all.
> (In particular I’m not keen on adding things to (guix config).)
>
> Go for it?

Pushed as 3b6755defe44c4795e134a46a7ef7b6009146872.

> Longer-term, I think it would still be interesting to migrate to
> Guile-Zlib + Disarchive/Gash-Utils, but we can check that later—better
> fix the Disarchive fallback first.

For sure.  Changing it to use zlib was pretty easy.  Sadly, neither of
those tarball libraries are slam dunks for Guix as of today.

> Thanks and sorry for the hesitations!

No worries.  Thanks very much for the review!  :)

-- Tim